
@import <Foundation/CPObject.j>

@implementation Calculator : CPObject
{
    @outlet CPTextField amount;      // The amount of the item
    @outlet CPTextField tax;         // The tax for the item
    @outlet CPTextField totalAmount; // the grand total amount
}

- (id)init
{
  if (self = [super init]) {
    [[CPNotificationCenter defaultCenter] addObserver:self selector:@selector(doCalculation:) name:@"didClickCalculateButton" object:nil];
    [[CPNotificationCenter defaultCenter] addObserver:self selector:@selector(applicationDidFinishLaunching:) name:@"CPApplicationDidFinishLaunchingNotification" object:nil];
  }
  return self;
}

- (void)applicationDidFinishLaunching:(CPNotification)aNotification
{
 // This is called when the application is done loading.
 [tax setTarget:self];
 [tax setAction:@selector(didPressReturn:)];  
}

- (void)didPressReturn:(id)sender
{
  [[CPNotificationCenter defaultCenter] postNotificationName:@"didClickCalculateButton" object:nil];
}

- (void)doCalculation:(CPNotification)notification
{
  var total = [amount floatValue] * ([tax floatValue] / 100 + 1);
  total = "Total w/tax: " + total.toFixed(2);
  [totalAmount setStringValue:total];
}


@end
